View Issue Details

IDProjectCategoryView StatusLast Update
0003075SymmetricDSNew Featurepublic2017-05-03 17:00
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.22Fixed in Version3.8.22 
Summary0003075: Sync configuration on upgrade and as periodic job
DescriptionSync configuration by pulling a "config" URI from the registration server. Add a config_version to sym_node table to keep track of the current version. When the config version does not match the symmetric_version, then sync configuration. Run after the software is upgraded. Run as an overnight job in case the registration server is unavailable on upgrade.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 b56ea774

2017-04-27 09:57:05

admin

Details Diff
0003075: Sync configuration on upgrade and as periodic job
0003075
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/SyncConfigJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Node.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfoKey.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IPullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ITransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/web/WebConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/MockTransportManager.java Diff File
add - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ConfigurationUriHandler.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ServerSymmetricEngine.java Diff File

SymmetricDS: 3.8 2b3dee0f

2017-04-27 16:00:32

admin

Details Diff
0003075: Sync configuration on upgrade and as periodic job
0003075
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File

SymmetricDS: 3.8 859d5e15

2017-05-03 16:17:18

admin

Details Diff
0003075: Sync configuration on upgrade and as periodic job
0003075
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/ConfigurationUriHandler.java Diff File

Issue History

Date Modified Username Field Change
2017-04-26 11:30 elong New Issue
2017-04-26 11:30 elong Status new => assigned
2017-04-26 11:30 elong Assigned To => elong
2017-04-27 10:57 elong Status assigned => resolved
2017-04-27 10:57 elong Fixed in Version => 3.8.22
2017-04-27 10:57 elong Resolution open => fixed
2017-04-27 11:00 admin Changeset attached => SymmetricDS 3.8 b56ea774
2017-04-27 17:00 admin Changeset attached => SymmetricDS 3.8 2b3dee0f
2017-05-01 14:03 chenson Status resolved => closed
2017-05-03 17:00 admin Changeset attached => SymmetricDS 3.8 859d5e15